%define fedora 19
%global snapshot a096a62

Name:           google-authenticator
Version:        1.0
Release:        alt2_0.git%{snapshot}.1
Summary:        One-time passcode support using open standards

Group:          System/Base
License:        ASL 2.0
URL:            http://code.google.com/p/google-authenticator/
# git archive --format tgz \
#     --prefix %{name}-%{version}-git%{snapshot}/ \
#     -o %{name}-%{version}-git%{snapshot}.tar.gz %{snapshot}
Source0:        %{name}-%{version}-git%{snapshot}.tar.gz

BuildRequires:  pam-devel

%if 0%{?fedora}
BuildRequires:  libqrencode-devel
%endif
Source44: import.info

%description
The Google Authenticator package contains a pluggable authentication
module (PAM) which allows login using one-time passcodes conforming to
the open standards developed by the Initiative for Open Authentication
(OATH) (which is unrelated to OAuth).

Passcode generators are available (separately) for several mobile
platforms.

These implementations support the HMAC-Based One-time Password (HOTP)
algorithm specified in RFC 4226 and the Time-based One-time Password
(TOTP) algorithm currently in draft.

%prep
%setup -q -n %{name}-%{version}-git%{snapshot}

%build
cd libpam
make CFLAGS="${CFLAGS:-%optflags}" LDFLAGS=-ldl %{?_smp_mflags}

%check
# (cd libpam && ./pam_google_authenticator_unittest)

%install
cd libpam
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -m0755 pam_google_authenticator.so $RPM_BUILD_ROOT/%{_lib}/security/pam_google_authenticator.so
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m0755 google-authenticator $RPM_BUILD_ROOT/%{_bindir}/google-authenticator

%files
/%{_lib}/security/*
%{_bindir}/google-authenticator
%doc libpam/FILEFORMAT libpam/README libpam/totp.html

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2_0.gita096a62.1
- update to new release by fcimport

* Fri Jan 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.gita096a62
- initial fc import

